#include <stdio.h>
#include <conio.h>
#include <math.h>

int main(void)
{
	int x[2], i;
	char c1, c2, str[2];
	
	scanf("%s", &str);
	c1 = str[0];
	c2 = str[1];
	
	scanf("%d %d", &x[0], &x[1]);
	int razlika = abs(x[0] - x[1]);
	
	if(c1 != c2 && razlika < 2)
	{	
		if (razlika == 0)
		{
			for (i = 0; i < (x[0] + x[1]) / 2; i++)
				{
					printf("%c", c1);
					printf("%c", c2);
				}	
		}
		else
		{
			printf("%c", c2);
			for (i = 0; i < (x[0] + x[1] - 1) / 2; i++)
				{
					printf("%c", c1);
					printf("%c", c2);
				}	
		}	
	}
	else
		printf("nemoguce");
	return 0;
}